<div id="login">
    <b-container class="mt-5">
        <div class="d-flex justify-content-center h-100">
            <b-card no-body header-bg-variant="light" footer-bg-variant="light">
                <template v-slot:header>
                    <span class="h3">Accedi</span>
                </template>
                <b-card-body>
                    <b-form @submit.prevent="sign">
                        <b-input-group size="md" class="mb-3">
                            <template v-slot:prepend>
                                <b-input-group-text class="bg-info"><i class="fas fa-user"/></b-input-group-text>
                            </template>
                            <b-form-input v-model="form.email" autocomplete="off" type="email"/>
                        </b-input-group>
                        <b-input-group size="md" class="mb-3">
                            <template v-slot:prepend>
                                <b-input-group-text class="bg-info"><i class="fas fa-key"/></b-input-group-text>
                            </template>
                            <b-form-input v-model="form.password" autocomplete="off" type="password"/>
                        </b-input-group>
                        <b-button type="submit" variant="primary" class="float-right">Login</b-button>
                    </b-form>
                </b-card-body>
                <template v-slot:footer>
<!--                    <div class="text-center pb-1">-->
<!--                        <b-link to="">Hai dimenticato la password?</b-link>-->
<!--                    </div>-->
                    <div class="text-center">
                        Se non hai ancora registrato il tuo negozio,
                        <b-link to="/registrazione">clicca qui</b-link> per registrarlo.
                    </div>
                </template>
            </b-card>
        </div>
    </b-container>

    <b-modal v-model="credentialsError">
        <span style="color: red;">{{ this.$store.getters.error }}</span>
        <template v-slot:modal-footer>
            <b-button variant="primary" @click="credentialErrorOkButton">Ok</b-button>
        </template>
    </b-modal>
</div>
